%global rdnn_name io.github.ebonjaeger.bluejay

Name:           bluejay
Version:        1.0.3
Release:        %mkrel 1
Summary:        Bluetooth manager written in Qt
Group:          Communications/Bluetooth
License:        MPL-2.0 and CC0-1.0 and CC-BY-SA-4.0 and MIT and GPL-2.0-or-later
URL:            https://github.com/EbonJaeger/bluejay
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  kf6-rpm-macros
BuildRequires:  git-core

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6UiTools)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6BluezQt)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6QQC2DesktopStyle)

# Extra runtime dependencies
Requires:       kirigami
Requires:       kirigami-addons

%description
This is a Bluetooth manager and Bluez front-end. With it, you can pair devices,
connect to and remove devices, turn Bluetooth on and off, and more.
Bluejay is powered by the Qt6 graphical toolkit and KDE Frameworks.

Bluejay is meant to be functional and look good.

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%license LICENSES/*
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{rdnn_name}.desktop
%{_metainfodir}/%{rdnn_name}.metainfo.xml
%{_iconsdir}/hicolor/*/*/%{rdnn_name}.svg


%changelog
* Sat Jun 14 2025 daviddavid <daviddavid> 1.0.3-1.mga10
+ Revision: 2191333
- initial package bluejay

